package io.swagger.model;

import groovy.transform.Canonical
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
@Canonical
class InlineResponse2001 {

  /* Идентификатор аккаунта */
  Integer id = null

  /* Описание аккаунта */
  String description = null

  /* Идентификатор тарифной группы */
  Integer billingGroupId = null

  /* Аккаунт заблокирован, если true */
  String blocked = null

  /* Дата блокировки */
  String blockedDate = null

  /* Причина блокировки */
  String blockedReason = null

  /* Ограничение суммы на работу в аванс */
  BigDecimal creditLimit = null

  /* Идентификатор тарифа */
  Integer planId = null

  /* Идентификатор тарифа (периода) */
  Integer periodId = null

  /* Тип договора */
  Integer contractType = null

  /*  */
  Integer clientId = null

  /* Логин клиента */
  String clientLogin = null

  /* Номер договора */
  String contractId = null

  /* Имя клиента на русском */
  String nameRus = null

  /* Имя клиента на английском */
  String nameEng = null

  /* E-mail клиент */
  String email = null

  /* Количество созданных сайтов */
  Integer statSites = null

  /* Используемое дисковое пространство */
  Integer statSizeMb = null

  /* Количество созданных почтовых ящиков */
  Integer statEmails = null

  /* Количество баз данных MySQL */
  Integer statMysqls = null

  /*  */
  Integer statTech = null

  /*  */
  Integer statNicd = null

  /*  */
  Integer statAccessDynamic = null

  /*  */
  Integer statAccessStatic = null

  /*  */
  Integer statAccessTraffic = null

  /*  */
  Integer statPaidTotal = null

  /* Размер дисков VDS */
  Integer statVdsSize = null

  /* Название тарифного плана */
  String planName = null

  /* Количество месяцев в оплаченном периоде */
  Integer periodMonths = null

  /* Стоимость оплаченного периода */
  BigDecimal periodPrice = null

  /*  */
  String expires = null

  /* Префикс для вывода текущей валюты хостинга (например, в строке '$100' префиксом является '$') */
  String externalCurrencySpelledPrefix = null

  /* Суффикс для вывода текущей валюты хостинга (например, в строке '100 руб.' суффиксом является ' руб.' */
  String externalCurrencySpelledSuffix = null
  

}

