package io.swagger.api;

import groovyx.net.http.*
import static groovyx.net.http.ContentType.*
import static groovyx.net.http.Method.*
import io.swagger.api.ApiUtils

import io.swagger.model.InlineResponse2007

import java.util.*;

@Mixin(ApiUtils)
class HostingftpAPIApi {
    String basePath = "https://www.1gb.ru/api"
    String versionPath = "/api/v1"

    def ftpListGet ( String token_, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/ftp/list"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "array",
                    InlineResponse2007.class )
                    
    }
}
