package io.swagger.model;

import groovy.transform.Canonical
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
@Canonical
class InlineResponse20014 {

  /*  */
  Integer id = null

  /*  */
  String status = null

  /*  */
  String unmovable = null

  /* Включен (активен), если true. */
  String online = null

  /* Удален, если true. Данные могут сохраняться. */
  String deleted = null

  /* Удален, если true. Данные могут сохраняться. */
  String deletedAuto = null

  /*  */
  String deletedDump = null

  /*  */
  String userId = null

  /*  */
  String ftpId = null

  /*  */
  String dnsId = null

  /*  */
  String iisId = null

  /*  */
  String iisBinding = null

  /*  */
  String iisPath = null

  /* Уникальное строковое имя сайта (ID). */
  String iisComments = null

  /*  */
  String memo = null

  /* Дата создания. */
  String dateReg = null

  /* Тип веб-сервера. */
  String server = null

  /*  */
  String serverBak = null

  /*  */
  String serverAux = null

  /* Тип сервера недавно изменялся, если true. */
  String serverTransition = null

  /*  */
  String serverTransitionDtc = null

  /*  */
  String blockTransfer = null

  /*  */
  String serverChangedTime = null

  /* Размер веб-сайта - объем (Кб). */
  String sizeAmount = null

  /* Размер веб-сайта - кол-во файлов. */
  String sizeFileCount = null

  /*  */
  String sizeFileCountLimit = null

  /* Размер веб-сайта - дата замера. */
  String sizeDate = null

  /*  */
  String sizePriorityScan = null

  /*  */
  String copyLogs = null

  /*  */
  String contentComments = null

  /*  */
  String contentCommentsVerbose = null

  /*  */
  String metaSaveCount = null

  /*  */
  String baseFolder = null

  /*  */
  String virtualhostConf = null

  /*  */
  String virtualhostServer = null

  /*  */
  String virtualhostServerConf = null

  /*  */
  String liveDayCount = null

  /*  */
  String scanDate = null

  /*  */
  String globalTransferCount = null

  /*  */
  String netLimitFile = null

  /*  */
  String netLimitDenyFromIp = null

  /*  */
  String netLimitDenyFromAgent = null

  /*  */
  String apachePhpPooled = null

  /*  */
  String apachePhpPooledExt = null

  /*  */
  String apachePhpPooledExtAuto = null

  /*  */
  String apachePhpPool1Only = null

  /*  */
  String apachePhpPool5Only = null

  /*  */
  String apacheSsi = null

  /*  */
  String bypassSecurity = null

  /*  */
  String flagGenericExec = null

  /*  */
  String flagNoWww = null

  /*  */
  String baseFolderSuffix = null

  /*  */
  String feedbackSpeed = null

  /*  */
  String feedbackSpeedDtc = null

  /*  */
  String feedbackSpeedFeedback = null

  /*  */
  String unixPathOnWindows = null

  /* Ограничение по IP адресам - FTP доступ. */
  String ftpIpfilter = null

  /* Ограничение по IP адресам - SSH доступ. */
  String sshIpfilter = null

  /*  */
  String l3dAuto = null

  /*  */
  String awstatsPrimaryDomain = null

  /*  */
  String sharepointMode = null

  /*  */
  String sharepointModePending = null

  /*  */
  String apacheGenericPoolPort = null

  /*  */
  String mongrelEnvironment = null

  /*  */
  String flagFree = null

  /*  */
  String rtmScanDate = null

  /*  */
  String analyzeAnalog = null

  /* Включен режим предоставления детализации процессорной нагрузки. */
  String cpuDetailsEnabled = null

  /*  */
  String contentModeratedStatus = null

  /*  */
  String contentModeratedDate = null

  /*  */
  String httpFrontendIp = null

  /*  */
  String httpFrontendIpTransition = null

  /* Дата последнего превышения процессорной нагрузки. */
  String cpuLimitExceededDate = null

  /* Признак сайта-конструктора. */
  String aufsTemplate = null

  /*  */
  String optionsAutolimit = null

  /* Версия ASP.NET, если отлична от 2.0. */
  String iisCreationCommands = null

  /*  */
  String iisCreationCommandsUnix = null

  /*  */
  String thumbDate = null

  /*  */
  String thumbFailed = null

  /*  */
  String backupStatDate = null

  /* Дата пофайловой резервной копии. */
  String backupDate = null

  /*  */
  String detectedPackages = null

  /*  */
  String statSitePower = null

  /*  */
  String smtpFrom = null

  /*  */
  String superBackupDate = null

  /*  */
  String backupDeltaStatDate = null

  /* Дата архивной резервной копии. */
  String backupDeltaDate = null

  /* Содержимое архивной резервной копии. */
  String backupDeltaDesc = null

  /*  */
  String altDocrootServer = null

  /*  */
  String altDocrootPath = null

  /*  */
  String altDocrootStatus = null

  /*  */
  String altDocrootStatusCnt = null

  /*  */
  String altDocrootStatusDate = null

  /* Последнее изменение привязок доменов для сайта. */
  String bindDtc = null

  /*  */
  String backupSpecialMode = null

  /*  */
  String sizeCheckProblem = null

  /*  */
  String wpbDomain = null

  /* Для сайта включен конструктор Parallels WPB. */
  String wpbUuid = null

  /*  */
  String wpbStatus = null

  /*  */
  String adminProtection = null

  /*  */
  String sizeComments = null

  /*  */
  String altDocrootSsdReq = null

  /*  */
  String mailLimit = null

  /*  */
  String mailAccept = null

  /*  */
  String mailDrop = null

  /* FTP/SSH/SCP/SFTP логин. */
  String ftpName = null

  /* FTP/SSH/SCP/SFTP пароль. */
  String ftpPwd = null
  

}

