package io.swagger.model;

import groovy.transform.Canonical
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
@Canonical
class _ {

  /* Ограничение на количество почтовых ящиков. '-' означает отсутствие лимита. */
  String mail = null

  /* Ограничение на количество сайтов. '-' означает отсутствие лимита. */
  String website = null

  /* MySQL разрешен, если true. */
  Boolean mysql = null

  /* Ограничение на размер дискового пространства. '-' означает отсутствие лимита. */
  String size = null

  /* MSSQL разрешен, если true. */
  Boolean mssql = null

  /* CGI и PHP скрипты разрешены, если true. */
  Boolean dynamicContent = null

  /* Функция exec() в PHP разрешена, если true. */
  Boolean phpExec = null

  /* Ограничение на количество дополнительных FTP логинов. '-' означает отсутствие лимита. */
  String ftp2 = null
  

}

